TypeScript
// List all contexts
const { data } = await uc.get()
// With limit
const { data } = await uc.get({ limit: 10 })
// Filter by source
const { data } = await uc.get({ source: 'claude' })
// Filter by project
const { data } = await uc.get({ project_path: '/Users/alice/Code/myapp' })
// Combine filters
const { data } = await uc.get({ source: 'codex', host: 'Mac-mini.local', after: '2026-03-01T00:00:00Z' })# List all contexts
result = uc.get()
# With limit
result = uc.get(limit=10)
# Filter by source
result = uc.get(source='claude')
# Filter by project
result = uc.get(project_path='/Users/alice/Code/myapp')
# Combine filters
result = uc.get(source='codex', host='Mac-mini.local', after='2026-03-01T00:00:00Z')curl https://api.ultracontext.ai/contexts \
-H "Authorization: Bearer $API_KEY"
# With limit
curl "https://api.ultracontext.ai/contexts?limit=10" \
-H "Authorization: Bearer $API_KEY"
# Filter by source + project
curl "https://api.ultracontext.ai/contexts?source=claude&project_path=/Users/alice/Code/myapp" \
-H "Authorization: Bearer $API_KEY"
# Time range
curl "https://api.ultracontext.ai/contexts?after=2026-03-01T00:00:00Z&before=2026-03-08T00:00:00Z" \
-H "Authorization: Bearer $API_KEY"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ultracontext.ai/contexts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ultracontext.ai/contexts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ultracontext.ai/contexts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ultracontext.ai/contexts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ultracontext.ai/contexts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "ctx_a1b2c3d4e5f6",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z"
}
]
}Contexts
List contexts
List all root contexts for your project. Sorted by created_at descending (newest first).
GET
/
contexts
TypeScript
// List all contexts
const { data } = await uc.get()
// With limit
const { data } = await uc.get({ limit: 10 })
// Filter by source
const { data } = await uc.get({ source: 'claude' })
// Filter by project
const { data } = await uc.get({ project_path: '/Users/alice/Code/myapp' })
// Combine filters
const { data } = await uc.get({ source: 'codex', host: 'Mac-mini.local', after: '2026-03-01T00:00:00Z' })# List all contexts
result = uc.get()
# With limit
result = uc.get(limit=10)
# Filter by source
result = uc.get(source='claude')
# Filter by project
result = uc.get(project_path='/Users/alice/Code/myapp')
# Combine filters
result = uc.get(source='codex', host='Mac-mini.local', after='2026-03-01T00:00:00Z')curl https://api.ultracontext.ai/contexts \
-H "Authorization: Bearer $API_KEY"
# With limit
curl "https://api.ultracontext.ai/contexts?limit=10" \
-H "Authorization: Bearer $API_KEY"
# Filter by source + project
curl "https://api.ultracontext.ai/contexts?source=claude&project_path=/Users/alice/Code/myapp" \
-H "Authorization: Bearer $API_KEY"
# Time range
curl "https://api.ultracontext.ai/contexts?after=2026-03-01T00:00:00Z&before=2026-03-08T00:00:00Z" \
-H "Authorization: Bearer $API_KEY"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ultracontext.ai/contexts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ultracontext.ai/contexts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ultracontext.ai/contexts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ultracontext.ai/contexts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ultracontext.ai/contexts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "ctx_a1b2c3d4e5f6",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z"
}
]
}Authorizations
API key from your UltraContext dashboard
Query Parameters
Maximum number of contexts to return
Filter by agent source (e.g. claude, codex, openclaw)
Filter by user identifier
Filter by machine hostname
Filter by project directory path (e.g. /Users/alice/Code/myapp)
Filter by session identifier
Only contexts created after this ISO 8601 timestamp
Only contexts created before this ISO 8601 timestamp
Response
200 - application/json
List of contexts
Show child attributes
Show child attributes
⌘I